Last Comment Bug 603510 - "ASSERTION: Unexpected start frame in multiflow text run"
: "ASSERTION: Unexpected start frame in multiflow text run"
Status: RESOLVED FIXED
: assertion, regression, testcase
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Mats Palmgren (:mats)
:
Mentors:
Depends on:
Blocks: 326633 571995
  Show dependency treegraph
 
Reported: 2010-10-11 17:07 PDT by Jesse Ruderman
Modified: 2010-11-16 19:56 PST (History)
3 users (show)
jruderman: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.13+
.13-fixed
.16+
.16-fixed


Attachments
testcase (384 bytes, text/html)
2010-10-11 17:07 PDT, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2010-10-11 17:07:15 PDT
Created attachment 482408 [details]
testcase

###!!! ASSERTION: Unexpected start frame in multiflow text run: 'f != userData->mMappedFlows[i].mStartFrame', file layout/generic/nsTextFrameThebes.cpp, line 1987

See also bug 603490, which triggers a related assertion.
Comment 1 Mats Palmgren (:mats) 2010-10-12 09:44:30 PDT
Fixed by backing out:
http://hg.mozilla.org/mozilla-central/rev/9af1a5813a7b
Comment 2 Jesse Ruderman 2010-10-15 13:48:00 PDT
Crashtest: http://hg.mozilla.org/mozilla-central/rev/65794a178da6
Comment 3 Daniel Veditz [:dveditz] 2010-11-10 10:45:27 PST
Marking this regression a branch blocker for qa verification because bug 571995 is a blocker.

Note You need to log in before you can comment on or make changes to this bug.